using System.Collections.Generic;

namespace ScrewsMaster
{
    public static class UIManagerRegister
    {
        public static void AutoRegisterBinder()
        {
            FGUI.A000_common.A000_commonBinder.BindAll();
            FGUI.A001_bigImg.A001_bigImgBinder.BindAll();
            FGUI.SLoading.SLoadingBinder.BindAll();
            FGUI.G001_login.G001_loginBinder.BindAll();
            FGUI.G002_main.G002_mainBinder.BindAll();
            FGUI.G003_play.G003_playBinder.BindAll();
            FGUI.G004_webview.G004_webviewBinder.BindAll();
            FGUI.G006_menu.G006_menuBinder.BindAll();
            FGUI.G008_reward.G008_rewardBinder.BindAll();
            FGUI.G007_makeup.G007_makeupBinder.BindAll();
            FGUI.G009_video.G009_videoBinder.BindAll();
            FGUI.G012_openReward.G012_openRewardBinder.BindAll();
            FGUI.G502_Fx.G502_FxBinder.BindAll();
            FGUI.G601_Coin.G601_CoinBinder.BindAll();
            FGUI.SC001_Tips.SC001_TipsBinder.BindAll();
            FGUI.SC004_Mask.SC004_MaskBinder.BindAll();
            FGUI.SC005_NetIdle.SC005_NetIdleBinder.BindAll();
            FGUI.SC006_privacy.SC006_privacyBinder.BindAll();
            FGUI.G014_SignIn.G014_SignInBinder.BindAll();
            FGUI.G018_GameHome.G018_GameHomeBinder.BindAll();
            FGUI.G019_Rank.G019_RankBinder.BindAll();
            FGUI.G020_PrizeWheel.G020_PrizeWheelBinder.BindAll();
                        FGUI.SaveingPot.SaveingPotBinder.BindAll();
            FGUI.failpack.failpackBinder.BindAll();
            FGUI.bkg_jilu.bkg_jiluBinder.BindAll();
                        FGUI.threeDaysGift.threeDaysGiftBinder.BindAll();
            FGUI.bkg_reward_new.bkg_reward_newBinder.BindAll();
        }

        public static void AutoRegisterCommonPackages()
        {
            List<string> commonPackages = new List<string>();

            commonPackages.Add("A000_common");

            UIManager.Instance.RegisterCommonPackages(commonPackages);
        }

        public static void AdaptSafeArea()
        {
            UIManager.Instance.AdaptSafeArea();
        }
    }
}